Video API, REST: Thumbnail.List
Lists all thumbnails associated with a specific resource (channel, stream, video, etc.)
with pagination support.
HTTP request
GET https://video.api.cloud.yandex.net/video/v1/thumbnails
Query parameters
|
Field |
Description |
|
channelId |
string [Deprecated] ID of the channel. The maximum string length in characters is 50. |
|
episodeId |
string ID of the episode containing the thumbnails to list. The maximum string length in characters is 50. Includes only one of the fields Specifies the parent resource to list thumbnails from (exactly one must be chosen). |
|
videoId |
string ID of the video containing the thumbnails to list. The maximum string length in characters is 50. Includes only one of the fields Specifies the parent resource to list thumbnails from (exactly one must be chosen). |
|
pageSize |
string (int64) The maximum number of thumbnails to return per page. The maximum value is 100. |
|
pageToken |
string Page token for retrieving the next page of results. The maximum string length in characters is 15000. |
Response
HTTP Code: 200 - OK
{
"thumbnails": [
{
"id": "string",
"channelId": "string",
// Includes only one of the fields `episodeId`, `videoId`
"episodeId": "string",
"videoId": "string",
// end of the list of possible fields
"createdAt": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
thumbnails[] |
List of thumbnails matching the request criteria. |
|
nextPageToken |
string Token for retrieving the next page of results. |
Thumbnail
Entity representing an image used as a visual representation for various content entities.
Thumbnails provide preview images for channels, streams, episodes, videos, and stream lines.
|
Field |
Description |
|
id |
string Unique identifier of the thumbnail. |
|
channelId |
string Identifier of the channel where the thumbnail is created and managed. |
|
episodeId |
string ID of the episode which the thumbnail is associated with. Includes only one of the fields |
|
videoId |
string ID of the video which the thumbnail is associated with. Includes only one of the fields |
|
createdAt |
string (date-time) Timestamp when the thumbnail was initially created in the system. String in RFC3339 To work with values in this field, use the APIs described in the |